
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/xv/xvRegion.h>

// ---------------------------------------------

xvRegion::xvRegion()
{
	myregion=XCreateRegion();
}

// ---------------------------------------------

xvRegion::~xvRegion()
{
	XDestroyRegion(myregion);
}

// ---------------------------------------------

xvRegion::xvRegion(XPoint points[], int n, int fill_rule)
{
	myregion=XCreateRegion();		
	XPolygonRegion(points, n, fill_rule);
}

// ---------------------------------------------

void xvRegion::init(XPoint points[], int n, int fill_rule)
{
	XPolygonRegion(points,n, fill_rule);
}

// ---------------------------------------------

Region xvRegion::GetRegion()
{
	return(myregion);
}

// ---------------------------------------------

void xvRegion::Offset(int dx, int dy)
{
	XOffsetRegion(myregion, dx, dy);
}

// ---------------------------------------------

void xvRegion::Shrink(int dx, int dy)
{
	XShrinkRegion(myregion, dx, dy);
}

// ---------------------------------------------

void xvRegion::ClipBox(XRectangle *rect)
{
	XClipBox(myregion, rect);
}

// ---------------------------------------------

Boolean xvRegion::Empty()
{
	return(XEmptyRegion(myregion));
}

// ---------------------------------------------

Boolean xvRegion::PointIn(int x, int y)
{
	return(XPointInRegion(myregion, x, y));
}

// ----------------------------------------------

int xvRegion::RectIn(int x, int y, unsigned int width, unsigned int height)
{
	return(XRectInRegion(myregion, x, y, width, height));
}

// -----------------------------------------------
	